Subject: Re: [PATCH 4/7] net: arcnet: expand unnecessary I/O abstraction macros

From: Jakub Kicinski <[email-masked]>
Date: Wed, 20 May 2026 15:23:30 -0700

On Mon, 18 May 2026 19:21:05 -0700 Ethan Nelson-Moore wrote:
> On Mon, May 18, 2026 at 6:22 PM Jakub Kicinski <[email-masked]> wrote:
> > On Sun, 17 May 2026 18:07:24 -0700 Ethan Nelson-Moore wrote:  
> > > Now that the BUS_ALIGN variable has been removed, the
> > > arcnet_in/out/read/write* macros behave identically to the functions
> > > they wrap. Expand them and remove their definitions to make the code
> > > easier to maintain.  
> >
> > This one reportedly transiently breaks the build.  
> 
> This is due to incorrect patch ordering on my part - if you apply the
> ISA/PCMCIA removal patch before the two I/O abstraction cleanup
> commits, the code compiles after every patch.
> i.e., use this patch order: 1 2 5 3 4 6 7

FWIW we're expecting repost, we can't fix the ordering on our end
to re-feed all the CIs. Build breakage prevents any deeper testing
from kicking off.

I'm writing for another reaons tho - I've been meaning to ask whether
you know of any reason to keep arcnet in tree in the first place?
We can start with this series, mostly asking about next steps
'cause some are posting fixes for arcnet and I'd rather delete it
than spend time making sense of this ancient unsafe code :/